repos:
  - repo: https://github.com/psf/black
    rev: 22.3.0
    hooks:
      - id: black
        language_version: python3
        always_run: false
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.2.0
    hooks:
      - id: trailing-whitespace
      - id: check-added-large-files
      - id: end-of-file-fixer
      - id: check-ast
      - id: check-builtin-literals
      - id: check-docstring-first
      - id: check-merge-conflict
      - id: check-yaml
      - id: debug-statements
      - id: pretty-format-json
        exclude: ^.vscode/|src/staticfiles
      - id: detect-private-key
      - id: fix-encoding-pragma
        args: [--remove]
  - repo: https://github.com/asottile/reorder_python_imports
    rev: v3.1.0
    hooks:
      - id: reorder-python-imports
        exclude: "__init__.py"
  - repo: https://github.com/PyCQA/bandit
    rev: 1.7.4
    hooks:
      - id: bandit
  - repo: https://gitlab.com/pycqa/flake8
    rev: 3.9.2
    hooks:
      - id: flake8
  - repo: https://github.com/hadialqattan/pycln
    rev: v1.3.2
    hooks:
      - id: pycln
  - repo: https://github.com/compilerla/conventional-pre-commit
    rev: v1.3.0
    hooks:
      - id: conventional-pre-commit
        stages: [ commit-msg ]
        args: []

default_language_version:
  python: python3.8
